org.apache.ignite.internal.processors.cache.persistence

## Interface CheckpointWriteProgressSupplier

All Known Implementing Classes:
  GridCacheDatabaseSharedManager

    public interface CheckpointWriteProgressSupplier

Provider for counters of checkpoint writes progress.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `currentCheckpointPagesCount()`
`AtomicInteger` `evictedPagesCntr()`
`AtomicInteger` `syncedPagesCounter()`
`AtomicInteger` `writtenPagesCounter()` Counter for written checkpoint pages.

### Method Detail

#### writtenPagesCounter

    AtomicInteger writtenPagesCounter()

Counter for written checkpoint pages. Not null only if checkpoint is running.

#### syncedPagesCounter

    AtomicInteger syncedPagesCounter()

Returns:
  Counter for fsynced checkpoint pages. Not null only if checkpoint is running.

#### evictedPagesCntr

    AtomicInteger evictedPagesCntr()

Returns:
  Counter for evicted pages during current checkpoint. Not null only if checkpoint is running.

#### currentCheckpointPagesCount

    int currentCheckpointPagesCount()

Returns:
  Number of pages in current checkpoint. If checkpoint is not running, returns 0.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018